Documentation · API reference
POST/api/v1/billing/provider

For a payment provider's relay

For a payment provider's relay: an account's plan as it now is, signed. `x-tidekeeper-signature` is the HMAC-SHA256 of the body in hex.

What to send

PlanEvent What a payment provider's relay tells tidekeeper: an account's plan as it now is. Signed with the deployment's secret.

account
stringneeded
cancelled
integer or null
plan
stringneeded
renews
integer or null

The answer

Status 204

Asking

With your token from Settings
curl -X POST https://tidekeeper.eu/api/v1/billing/provider \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{"account": "…", "plan": "…"}'
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/billing/provider", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({"account": "…", "plan": "…"}),
}).then((r) => r.json());